/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#include <stdio.h>
#include "alchemy.h"

int main(int argc, char *argv[])
{
	wm *alchemy_wm;

	if(argc>1)
		alchemy_wm = ac_init(argv[1]);
	else {
		FILE *fp=fopen(THEME_CONFIG_FILE, "r");

		if(fp) {
			char pathname[TMP_BUF_SIZE];

			fscanf(fp, "%s\n", pathname);
			fclose(fp);
			DBG(debug_info("Theme : %s", pathname);)
			alchemy_wm = ac_init(pathname);
		} else
			alchemy_wm = ac_init(DEFAULT_THEME);
	}

	alchemy_wm->mainloop(alchemy_wm);
	return 0;
}
